Subject: Object-Oriented Programming Newsletter #6 from Bruce Eckel

From: [email-masked]
Date: Sun, 24 Oct 1999 17:17:36 -0600

To unsubscribe send a blank email to [email-masked]
You are subscribed as [email-masked] 
To modify your email address, go to http://earth.lyris.net/cgi-bin/lyris.pl?enter=eckel-oo-programming

Object-Oriented Programming Newsletter #6 from Bruce Eckel

= = = Contents = = =
--- The book schedule ---
  * I'm just a boy who can't say no...
  * Sigh: no New Zealand this Winter
  * Rescheduling seminars in Italy, Switzerland, Prague
--- Books that I like ---
  * Extreme Programming Explained
  * Refactoring
--- My public speaking schedule ---
  * Sonoma State University
  * The Software Development Conference
  * San Diego Java User's Group
--- Java ---
  * Hands-On Java updated
  * Hands-on Java seminar: San Diego, November 15-19
  * Java Design Patterns & Idioms Dec 6-10, San Diego
  * CORBA/Java seminar Jan 10-14, San Diego
--- Python ---
  * Need a speaker for the new Python track at SD2000
--- C++ ---
  * Thinking in C++ 2nd edition Vol 1 gets closer
--- Etc ---
  * Office 2000 is actually very good!
  * Visiting a site donates food

___| The book schedule |__________________________

* I'm just a boy who can't say no...

As usual, the process of putting out a book is always more
time consuming than I think it will be, and the book
schedule has become quite intense because I'm doing one
right after the other (C++ then Java). This is to hit the
academic adoption date for C++, and the Java One
conference. A grueling schedule, but I had to admit it made
sense. The final due date for camera ready will be Feb 1
for C++ (Volume 1) and approximately April 1 for Java.
Other than the seminars, I won't be doing much of anything
else than the books.

* Sigh: no New Zealand this Winter

Realizing I was overextending myself, I've had to cancel
the plans for New Zealand this Winter. Thanks to everyone
who has made suggestions. In the meantime I've learned
about the round-the-world airline tickets, and so next year
(when I don't have so much hanging over my head) I can try
to schedule more seminars in various places, and amortize
the cost of the ticket between them.

My apologies to the New Zealanders who were looking forward
to the seminar. Believe me, I was looking forward to New
Zealand, and am all the more determined to do it next year.

And thanks to everyone who suggested places to stay and
venues for seminars.

* Rescheduling seminars in Italy, Switzerland, Prague

The Italian & Swiss seminars will now be in Spring, after
the Thinking in Java deadline (I'll be much more relaxed
then, and ready for some nice distraction). The probable
dates are April 10-14 and May 8-12 (avoiding the ganged-up
vacation period I hear everyone will be taking). More will
be posted on the calendar and in a newsletter when it is
known.

There's also talk of a 2-day "Design Patterns in Java" to
be held in Prague (hosted by my friends at Star a.s.)
during that time. As soon as anything firms up it will be
announced here and on the calendar.

___| Books that I like |__________________________

See my upcoming (Tuesday) Java column at
community.borland.com for the full article, but I have to
say that my favorite book that's come out in a long time is
"Extreme Programming Explained" by Kent Beck, just in
print. Small book, small chapters, effortless to read,
exciting to think about. You start imagining yourself
working in such an atmosphere and it brings visions of a
whole new world.

The column also discusses Martin Fowler's new "Refactoring"
book along with several others that belong on your shelf.

___| My public speaking schedule
|__________________________

* Sonoma State University

October 28 I'll be speaking on "Design Patterns in C++";
this is in the Bay Area. Open to the public. See:
http://www.cs.sonoma.edu/cs_dept/events/colloquium.html

* The Software Development Conference

Washington DC, November 8-12. This is the debut of the
"Building Linux Servers" track, plus Guido Van Rossum will
be speaking on Python and Randal Schwarz on Perl. You can
find my complete speaking and activity schedule (including
a public book signing) on the calendar:
http://www.mindview.net/Calendar/Calendar.html

* San Diego Java User's Group

On the evening of December 21, I will be giving a
presentation on "Python for Java Programmers" to the San
Diego Java User's group. Admission is open to the public;
you can find out more at jug.dtai.com

___| Java |__________________________

* Hands-On Java updated

The latest version of the in-development 2nd edition now
has web pages for each of the applets in Chapter 13 (the
pages were generated using Python). Also Bill Venner's
introduction to Jini.

* Hands-on Java seminar: San Diego, November 15-19

This one is filling up fast, and because of book work I
probably won't be doing another one soon.
http://www.mindview.net/Java.html

* Java Design Patterns & Idioms Dec 6-10, San Diego

If you've got Java fundamentals down (what's covered in the
Hands-On Java course, or Thinking in Java), this is an
excellent 2nd course to fill out and deepen your
understanding of design and implementation with Java. The
earlier version that we did last summer was very popular.
http://www.mindview.net/JavaDesignPatternsIdioms.html

* CORBA/Java seminar Jan 10-14, San Diego
Since Java is very well suited to this task, this course
becomes one of the easier ways to learn CORBA. Also assumes
you alread understand what's in the Hands-On-Java course
http://www.mindview.net/CorbaJavaSeminar.html

___| Python |__________________________

* Need a speaker for the new Python track at SD2000

At the spring Software Development Conference, we're adding
a new Python track. I have all but one slot filled, so if
you or someone you know would be appropriate to give a talk
on: "Functional Programming in Python" (clever uses of
lambda expressions, filter, map, reduce, and apply) please
let me know. (If you come up with a different talk that's
just fascinating we might be able to shoehorn it in, but we
have all the basic stuff covered).

___| C++ |__________________________

* Thinking in C++ 2nd edition Vol 1 gets closer

Early chapters are actually being copyedited! The March 15
print date looks very likely.

___| Etc |__________________________

* Office 2000 is actually very good!

Office 97 took forever to get fixed, so I was assuming that
I would have to avoid Office 2000 for a similar time.
However, it's really very good, and does a lot of great
things for you. I'm pleasantly surprised. Naturally, it
still crashes sometimes -- like when you try to take one of
my books and export it to HTML, unfortunately. But in
general the pluses far outweigh the minuses, so I'm pretty
happy with it.

* Visiting a site donates food

If you visit www.thehungersite.com the sponsors will donate
food to hungry people in the world.

___| Until Next Time... |__________________________

Anyone can sign up for this newsletter by sending an email
to [email-masked]. Please send a
copy to your friends. Thanks!

    Bruce Eckel

===========================================
Bruce Eckel    http://www.BruceEckel.com
Contains free electronic books: "Thinking in Java" &
"Thinking in C++ 2e"
Please subscribe to my free newsletter -- just send any
email to:
[email-masked]
===========================================

---
You are currently subscribed to eckel-oo-programming as: [email-masked]
To unsubscribe send a blank email to [email-masked]